import { CommonModule } from '@angular/common';
import { ChangeDetectionStrategy, Component, HostListener } from '@angular/core';
import { I18nPipe } from '@delon/theme';
import { NzIconModule } from 'ng-zorro-antd/icon';
import screenfull from 'screenfull';

@Component({
    selector: 'data-v-fullscreen',
    template: `
    <i nz-icon [nzType]="status ? 'fullscreen-exit' : 'fullscreen'"></i>
    {{ (status ? '退出全屏' : '进入全屏') }}
  `,
    host: {
        '[class.flex-1]': 'true'
    },
    changeDetection: ChangeDetectionStrategy.OnPush,
    standalone: true,
    imports: [CommonModule, NzIconModule, I18nPipe]
})
export class DataVFullScreenComponent {
    status = false;

    @HostListener('window:resize')
    _resize(): void {
        this.status = screenfull.isFullscreen;
    }

    @HostListener('click')
    _click(): void {
        if (screenfull.isEnabled) {
            screenfull.toggle();
        }
    }
}
