// parent.component.ts
import { CommonModule } from '@angular/common';
import { Component, Input, Output, EventEmitter } from '@angular/core';
import { SHARED_IMPORTS } from '@shared';
import { NzDropDownModule } from 'ng-zorro-antd/dropdown';
import { NzIconModule } from 'ng-zorro-antd/icon';
@Component({
  selector: 'lj-data-v-card',
  standalone: true,
  templateUrl: './lj-card.component.html',
  styleUrls: ['./lj-card.component.less'],
  imports: [NzIconModule, CommonModule, NzDropDownModule, ...SHARED_IMPORTS]
})
export class LJDataVCardComponent {
  @Input() showSetting = false;
  @Input()
  optionsList: Array<{ label: string; checked: boolean }> = [];
  // 定义输出事件
  @Output() onCheckedItemsChange = new EventEmitter<Array<{ label: string; checked: boolean }>>();
  @Input() title: string = '';
  getCheckedItems() {
    return this.optionsList.filter(option => option.checked);
  }

  onCheckChange() {
    const checkedItems = this.getCheckedItems();
    this.onCheckedItemsChange.emit(checkedItems);
  }
}
