import { Component, OnInit, ViewChild, inject } from '@angular/core';
import { STColumn, STComponent } from '@delon/abc/st';
import { SFSchema } from '@delon/form';
import { ModalHelper, _HttpClient } from '@delon/theme';
import { SHARED_IMPORTS } from '@shared';
import { NZ_MODAL_DATA } from 'ng-zorro-antd/modal';

@Component({
  selector: 'app-sys-audit-log-detl',
  standalone: true,
  imports: [...SHARED_IMPORTS],
  templateUrl: './audit-log-detl.component.html'
})
export class SysAuditLogDetlComponent implements OnInit {
  private readonly http = inject(_HttpClient);
  private readonly modal = inject(ModalHelper);
  auditlog: any = inject(NZ_MODAL_DATA);

  auditLogActionInfoColumns: STColumn[] = [
    { title: '服务的名称', index: 'serviceName' },
    { title: '方法的名称', index: 'methodName' },
    { title: '参数的JSON', index: 'parameters' },
    { title: '执行的时间', index: 'executionTime' },
    { title: '方法执行时长', index: 'executionDuration' }
  ];

  entityChangeInfoColumns: STColumn[] = [
    { title: '实体被改变的时间', index: 'changeTime' },
    { title: '方法的名称', index: 'changeType' },
    { title: '更改实体的Id', index: 'entityId' },
    { title: '实体所属的租户Id', index: 'entityTenantId' },
    { title: '实体的类型', index: 'entityTypeFullName' }
  ];

  ngOnInit(): void {

  }
}
